package test;

import Genesys.JTele.TeleAddress;
import Genesys.JTele.TeleAddressException;
import Genesys.JTele.TeleEvent;
import Genesys.JTele.TeleEventType;
import Genesys.JTele.TeleLine;

public class PhTeleAddress extends TeleAddress {

	private String tsrvName ;
	public PhTeleAddress(TeleLine tLine, String tsName) throws TeleAddressException {
		super(tLine);
		tsrvName = tsName;
	}
	protected void tDispatchHandler(TeleEvent tEvent){
		if(tEvent == null){
			return;
		}else
			handleTSrvEvent(tEvent,tsrvName);
		
	}

	protected void handleTSrvEvent(TeleEvent tEvent, String tName){
		TeleEventType tEvtType = tEvent.getEventType();
		
		if(tEvtType != null){
			switch(tEvtType.getEnumValue()){
			case TeleEventType._EventRegistered:
				System.out.println("EventRegistered --");
				break;
			case TeleEventType._EventUnregistered:
				System.out.println("EventUnregistered -- DN= " + tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventUserEvent:
				System.out.println("EventUserEvent --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAgentLogin:
				System.out.println("EventAgentLogin --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAgentLogout:
				System.out.println("EventAgentLogout --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAgentReady:
				System.out.println("EventAgentReady --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAgentNotReady:
				System.out.println("EventAgentNotReady --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventEstablished:
				System.out.println("EventEstablished --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventQueued:
				System.out.println("EventQueued --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventPartyChanged:
				System.out.println("EventPartyChanged --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventDiverted:
				System.out.println("EventDiverted --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAbandoned:
				System.out.println("EventAbandoned --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventReleased:
				System.out.println("EventReleased --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventAddressInfo:
				System.out.println("EventAddressInfo ? --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			case TeleEventType._EventError:
				System.out.println("EventError --DN=" +  tEvent.getThisDN()+ "@" + tsrvName);
				break;
			}
		}
	}
}
