package test;

import Genesys.JTele.TeleEvent;
import Genesys.JTele.TeleEventType;
import Genesys.JTele.TeleLine;
import Genesys.JTele.TeleLineException;
import Genesys.JTele.TeleServerContext;
import Genesys.TLib.EventFactoryIF;
import Genesys.TLib.TEventMask;
import Genesys.TLib.TServerDispatchHandler;

public class PhTeleLine extends TeleLine {

	private String tsrvName ;
	public TSrvComm tsrvComm;
	private TEventMask capabilities = null;
	public PhTeleLine(TeleServerContext tsContext, String tsName, TSrvComm tcomm) throws TeleLineException {
		super(tsContext);
		this.tsrvName = tsName;
		this.tsrvComm = tcomm;
		
		// TODO Auto-generated constructor stub
	}

	public void tDispatchHandler(TeleEvent teleEvent){
		if (teleEvent == null){
			return;
		}
		
		TeleEventType eventType = teleEvent.getEventType();
		
		if (eventType == null){
			switch (eventType.getEnumValue()){
			case TeleEventType._EventServerConnected:
				System.out.println("STARTUP -- " + tsrvName + " -- EventServerConnected");
				break;
			case TeleEventType._EventServerDisconnected:
				System.out.println("DISCONNECTED -- " + tsrvName + " -- EventServerDisconnected");
				break;
			case TeleEventType._EventLinkConnected:
				System.out.println("LINK CONNECTED -- " + tsrvName + " -- EventLinkConnected");
				break;
			case TeleEventType._EventLinkDisconnected:
				System.out.println("LINK DISCONNECTED -- " + tsrvName + " -- EventLinkDisconnected");
				break;
			case TeleEventType._EventError:
				System.out.println("ERROR -- " + tsrvName + " -- EventError");
				break;
			}
		}
	}
	
	
	public TEventMask getServerCapabilities(){
		return capabilities;
	}

}
